> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mirurobotics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create

> Register a git commit.

| Scope               | Required |
| ------------------- | -------- |
| `git_commits:write` | Yes      |


## OpenAPI

````yaml /references/platform-api/2026-03-09.yaml post /git_commits
openapi: 3.0.3
info:
  title: Miru Platform API
  description: The API between Miru and any external client
  version: 2026-03-09.tetons
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  x-release-version: 2026-03-09.tetons
  x-git-commit:
    sha: a33cf62e35e950971e3c223d746ae8e4e6464442
    url: >-
      https://github.com/mirurobotics/openapi/commit/a33cf62e35e950971e3c223d746ae8e4e6464442
    message: |-
      refactor(stainless): rename config instance content method to download

      Co-Authored-By: Claude Opus 4.6 <noreply@anthropic.com>
    author: Benjamin Smidt
    branch: HEAD
    dirty: false
  x-build:
    built_at: '2026-03-08T22:30:32.695898+00:00'
servers:
  - url: https://api.mirurobotics.com/beta
    description: Miru Platform API
security:
  - ApiKeyAuth: []
paths:
  /git_commits:
    parameters:
      - $ref: '#/components/parameters/MiruVersion'
    post:
      tags:
        - Git Commits
      summary: Create
      description: Register a git commit.
      operationId: createGitCommit
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateGitCommitRequest'
      responses:
        '200':
          description: Successfully created the git commit.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GitCommit'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from miru_platform_sdk import Miru

            client = Miru(
                api_key=os.environ.get("MIRU_API_KEY"),  # This is the default and can be omitted
            )
            git_commit = client.git_commits.create(
                message="Update config schema for robot1",
                origin="https://github.com/robot1/robot1.git",
                sha="a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0",
            )
            print(git_commit.id)
components:
  parameters:
    MiruVersion:
      name: Miru-Version
      in: header
      required: true
      schema:
        type: string
        example: 2026-03-09.tetons
      description: The API version the client was built against.
  schemas:
    CreateGitCommitRequest:
      title: Git Commit Request
      type: object
      required:
        - sha
        - message
        - origin
      properties:
        sha:
          type: string
          example: a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0
          description: The SHA hash of the git commit.
        message:
          type: string
          description: The commit message.
          example: Update config schema for robot1
        origin:
          type: string
          description: The URL of the git repository origin.
          example: https://github.com/robot1/robot1.git
    GitCommit:
      title: Git Commit
      allOf:
        - $ref: '#/components/schemas/BaseGitCommit'
      example:
        object: git_commit
        id: git_commit_123
        sha: a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0
        message: Add basic motion configurations
        repository_owner: user
        repository_name: repo
        repository_type: github
        repository_url: https://github.com/user/repo
        commit_url: >-
          https://github.com/user/repo/commit/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0
        created_at: '2021-01-01T00:00:00Z'
    BaseGitCommit:
      title: Base Git Commit
      type: object
      required:
        - object
        - id
        - sha
        - message
        - repository_owner
        - repository_name
        - repository_type
        - repository_url
        - commit_url
        - created_at
      properties:
        object:
          type: string
          enum:
            - git_commit
          example: git_commit
          x-stainless-const: true
          description: The object type, which is always `git_commit`.
        id:
          type: string
          example: git_commit_123
          description: ID of the git commit.
        sha:
          type: string
          example: a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0
          description: The SHA hash of the git commit.
        message:
          type: string
          example: Add basic motion configurations
          description: The commit message.
        repository_owner:
          type: string
          example: user
          description: The owner of the git repository.
        repository_name:
          type: string
          example: repo
          description: The name of the git repository.
        repository_type:
          $ref: '#/components/schemas/GitRepositoryType'
        repository_url:
          type: string
          example: https://github.com/user/repo
          description: The URL of the git repository.
        commit_url:
          type: string
          example: >-
            https://github.com/user/repo/commit/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0
          description: The URL of the git commit.
        created_at:
          type: string
          format: date-time
          example: '2021-01-01T00:00:00Z'
          description: Timestamp of when the git commit was created.
    GitRepositoryType:
      type: string
      enum:
        - github
        - gitlab
        - bitbucket
      x-enum-varnames:
        - GIT_REPO_TYPE_GITHUB
        - GIT_REPO_TYPE_GITLAB
        - GIT_REPO_TYPE_BITBUCKET
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: The API key to use for authentication.

````